読者です 読者をやめる 読者になる 読者になる

Android で minSdkVersion は 対応しているのにインストール出来ない場合

N-06D のOS は 4.0.4 で minSdkVersion に 14 を指定しているのに、
インストール出来なかった。

これは、N-06D のカメラに、オートフォーカスがないことが原因で、
permission に CAMERA を追加すると、自動でオートフォーカス必須に設定されてしまう。
そこで、以下のように設定することで、利用出来るようになる。

<uses-feature
  android:name="android.hardware.camera.autofocus"
  android:required="false" />